/*
 * jSDP: A Java implementation of SDP protocol Copyright (C) 2007 Claudio Di
 * Vita
 */
package net.sourceforge.jsdp;

import java.io.Serializable;

/**
 * A description is an aggregation of SDP fields.
 * 
 * @since 0.1.0
 * 
 * @version 1.0
 * 
 * @author <a href="mailto:cdivita@users.sourceforge.net">Claudio Di Vita</a>
 */
public interface Description extends Serializable, Cloneable {

    /**
     * Returns a clone of this description.
     * 
     * @return a clone of this description
     */
    public Object clone();

    /**
     * Returns a string representation of the description.
     * 
     * @return the string representation of the description
     */
    public String toString();
}